> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ipworld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Validators

> Get validator set at specified height

### Query Parameters

<ParamField query="height" type="integer">
  Height to return. If no height is provided, it will fetch validator set for
  the latest block.
</ParamField>

<ParamField query="page" type="integer">
  Page number (1-based)
</ParamField>

<ParamField query="per_page" type="integer">
  Number of entries per page (max: 100)
</ParamField>

### Response

<ResponseField name="response" type="object">
  <p>Validator set information</p>

  <Expandable title="Properties">
    <ResponseField name="block_height" type="string">
      <p>Block height</p>
    </ResponseField>

    <ResponseField name="validators" type="array">
      <p>List of validators</p>

      <Expandable title="Properties">
        <ResponseField name="address" type="string">
          <p>Validator address</p>
        </ResponseField>

        <ResponseField name="pub_key" type="object">
          <p>Validator public key</p>
        </ResponseField>

        <ResponseField name="voting_power" type="string">
          <p>Validator voting power</p>
        </ResponseField>

        <ResponseField name="proposer_priority" type="string">
          <p>Validator proposer priority</p>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>
